curl -X POST https://zeplo.ai/api/automations \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Auto-Reply",
"trigger": "message_received",
"channelId": "647015955153740"
}'
{
"success": true,
"data": {
"id": 9,
"name": "Support Auto-Reply",
"trigger": "message_received",
"status": "inactive",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Automations
POST Create Automation
Create a new automation workflow.
POST
/
api
/
automations
curl -X POST https://zeplo.ai/api/automations \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Auto-Reply",
"trigger": "message_received",
"channelId": "647015955153740"
}'
{
"success": true,
"data": {
"id": 9,
"name": "Support Auto-Reply",
"trigger": "message_received",
"status": "inactive",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create automation
POST /api/automations
Create a new automation workflow with a trigger and optional description.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X POST https://zeplo.ai/api/automations \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Auto-Reply",
"trigger": "message_received",
"channelId": "647015955153740"
}'
Body parameters
string
required
Automation name.
string
Description.
string
required
Trigger type (see below).
string
required
WhatsApp channel ID.
string
default:"inactive"
active or inactive.object
Trigger configuration.
Trigger types
| Trigger | Description |
|---|---|
new_conversation | Triggered when a new conversation starts |
message_received | Triggered when a message is received |
keyword_match | Triggered when a keyword is matched |
conversation_assigned | Triggered when conversation is assigned |
template_approved | Triggered when a template is approved |
scheduled | Triggered on a schedule (cron) |
{
"success": true,
"data": {
"id": 9,
"name": "Support Auto-Reply",
"trigger": "message_received",
"status": "inactive",
"createdAt": "2026-01-15T12:00:00Z"
}
}
